package jrummikub.ai.fdsolver.constraint;

import jrummikub.ai.fdsolver.Var;

public class GreaterThanConst<T extends Comparable<T>> extends
		FilterConstraint<T> {
	public GreaterThanConst(final boolean allowEqual, Var<T> x, final T y) {
		super(new Filter<T>() {
			@Override
			public boolean accept(T value) {
				return y.compareTo(value) < (allowEqual ? 1 : 0);
			}
		}, x);
	}
}
